Package com.microsoft.sqlserver.jdbc.dataclassification

## Class Label

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dataclassification.Label

    public class Label
    extends java.lang.Object

Represents the Data Classification Labels as received from SQL Server for the active resultSet

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`Label​(java.lang.String name, java.lang.String id)` | Constructs a Label

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getId()` | Returns the ID for this `InformationType` object
`java.lang.String` | `getName()` | Returns the name of this `InformationType` Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Label

    public Label​(java.lang.String name,
                 java.lang.String id)

Constructs a Label

Parameters:
  `name` - Name of Label
  `id` - ID of Label

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of this `InformationType` Object

Returns:
  Name of Information Type

#### getId

    public java.lang.String getId()

Returns the ID for this `InformationType` object

Returns:
  ID of Information Type